<?php
 
 
 

namespace PhpWA\Protocol\Proto\MsgOpaqueData;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class EventLocation extends \Google\Protobuf\Internal\Message
{
    


    protected $degreesLatitude = null;
    


    protected $degreesLongitude = null;
    


    protected $name = null;
    


    protected $address = null;
    


    protected $url = null;
    


    protected $jpegThumbnail = null;

    













    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getDegreesLatitude()
    {
        return isset($this->degreesLatitude) ? $this->degreesLatitude : 0.0;
    }

    public function hasDegreesLatitude()
    {
        return isset($this->degreesLatitude);
    }

    public function clearDegreesLatitude()
    {
        unset($this->degreesLatitude);
    }

    




    public function setDegreesLatitude($var)
    {
        GPBUtil::checkDouble($var);
        $this->degreesLatitude = $var;

        return $this;
    }

    



    public function getDegreesLongitude()
    {
        return isset($this->degreesLongitude) ? $this->degreesLongitude : 0.0;
    }

    public function hasDegreesLongitude()
    {
        return isset($this->degreesLongitude);
    }

    public function clearDegreesLongitude()
    {
        unset($this->degreesLongitude);
    }

    




    public function setDegreesLongitude($var)
    {
        GPBUtil::checkDouble($var);
        $this->degreesLongitude = $var;

        return $this;
    }

    



    public function getName()
    {
        return isset($this->name) ? $this->name : '';
    }

    public function hasName()
    {
        return isset($this->name);
    }

    public function clearName()
    {
        unset($this->name);
    }

    




    public function setName($var)
    {
        GPBUtil::checkString($var, True);
        $this->name = $var;

        return $this;
    }

    



    public function getAddress()
    {
        return isset($this->address) ? $this->address : '';
    }

    public function hasAddress()
    {
        return isset($this->address);
    }

    public function clearAddress()
    {
        unset($this->address);
    }

    




    public function setAddress($var)
    {
        GPBUtil::checkString($var, True);
        $this->address = $var;

        return $this;
    }

    



    public function getUrl()
    {
        return isset($this->url) ? $this->url : '';
    }

    public function hasUrl()
    {
        return isset($this->url);
    }

    public function clearUrl()
    {
        unset($this->url);
    }

    




    public function setUrl($var)
    {
        GPBUtil::checkString($var, True);
        $this->url = $var;

        return $this;
    }

    



    public function getJpegThumbnail()
    {
        return isset($this->jpegThumbnail) ? $this->jpegThumbnail : '';
    }

    public function hasJpegThumbnail()
    {
        return isset($this->jpegThumbnail);
    }

    public function clearJpegThumbnail()
    {
        unset($this->jpegThumbnail);
    }

    




    public function setJpegThumbnail($var)
    {
        GPBUtil::checkString($var, False);
        $this->jpegThumbnail = $var;

        return $this;
    }

}

